Jobs
Inspect queued async capture jobs and webhook delivery status.
GET
/v1/jobs/{id}
Authentication
Bearer Token
Path Parameters
id
string
required
path
Responses
200
Job status
application/jsonid
string
status
string
Enum:
pending, completed, failedresult
object
id
string
url
string (uri)
width
integer
height
integer
format
string
duration_ms
integer
credits_used
integer
cached
boolean
warnings
string[]
Array of:
created_at
string
resolved_params
object
ai_decisions
object
element_resolved
object
error
string | null
webhook_url
string (uri) | null
webhook_status
string | null
created_at
string
completed_at
string | null
401
Error response
403
Error response
404
Error response
curl -X GET 'https://screenframed.com/v1/jobs/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://screenframed.com/v1/jobs/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://screenframed.com/v1/jobs/string', headers=headers)print(response.json())
200
Response
{ "id": "<string>", "status": "pending", "result": { "id": "<string>", "url": "<uri>", "width": 123, "height": 123, "format": "<string>", "duration_ms": 123, "credits_used": 123, "cached": true, "warnings": [ "<string>" ], "created_at": "<string>", "resolved_params": "<object>", "ai_decisions": "<object>", "element_resolved": "<object>" }, "error": "<string>", "webhook_url": "<uri>", "webhook_status": "<string>", "created_at": "<string>", "completed_at": "<string>"}
API Playground
Try this endpoint
GET
/v1/jobs/{id}